Jump to content

can anyone help me to create a lisp to connect all blocks with arcs.


Recommended Posts

Posted

A similar request was made for pline s as arcs, a few days ago may have been at Forums/autodesk. On iPad can not post code.

Posted (edited)

Dear Bigal

 

pls share me by email :

EMAIL REMOVED

Edited by CADTutor
Please avoid using your email in posts, it will generate spam.
Posted

Dear mhupp

 

thank you..

I saw so complicated things at there..

and difficult to understand.

Posted

i thing your asking about this 

 

;; CAB 05.13.09
;;  Draw Electric Wire
(defun c:ew (/ ew_layer p1 p2 msg)
 (setq ew_layer "Wire")      ; layer name

 (defun draw-ew (p4 p1 lay / p2 p3)
   (setq p2 (polar p1 (- (angle p1 p4) (/ pi ) 57.40259411)
         p3 (polar p4 (+ (angle p4 p1) (/ pi ) 57.40259411)
   )
   (entmakex
     (list '(0 . "LWPOLYLINE") '(100 . "AcDbEntity") '(100 . "AcDbPolyline")
           (cons 8 lay)
           (cons 90 4)
           '(70 . 0)         ; 1 for closed 0 overwise
           (cons 10 (trans p1 1 0)) '(40 . 0.0) '(41 . 0.0) '(42 . 0.198912)
           (cons 10 (trans p2 1 0)) '(40 . 0.0) '(41 . 0.0) '(42 . 0.0)
           (cons 10 (trans p3 1 0)) '(40 . 0.0) '(41 . 0.0) '(42 . 0.198913)
           (cons 10 (trans p4 1 0)) '(40 . 0.0) '(41 . 0.0) '(42 . 0.0)
           '(210 0.0 0.0 1.0)
     )
   )
 )

 (and
   (setq p1 (getpoint "\nPick start point (Draw clockwise"))
   (setq msg "\nPick next point clockwise.")
   (while (setq p2 (getpoint p1 msg))
     (draw-ew p1 p2 ew_layer)
     (setq p1 p2)
   )
 )
 (princ)

)
(prompt "\nElectric Wire loaded, Enter EW to run.")
(princ)

 

refer,

 

 

 

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...